﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace KuduRestClient
{
    public class ScmInfo
    {
        public int Type { get; set; }
        public string GitUrl { get; set; }
    }

    public class MessageResponse
    {
        public string Message { get; set; }
    }

    public class FileContent
    {
        public string etag { get; set; }
        public string text { get; set; }
    }

    public class VfsFile
    {
        public string name { get; set; }
        public int size { get; set; }
        public DateTime mtime { get; set; }
        public DateTime crtime { get; set; }
        public string mime { get; set; }
        public string href { get; set; }
        public string path { get; set; }

        public override string ToString()
        {
            return $"{href} ({mtime})";
        }
    }
}
